/*
 *
 * JBoss, the OpenSource J2EE webOS
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */

package org.jboss.ejb3.test.composite2.unit;

//import java.rmi.*;


import junit.framework.Test;
import org.jboss.ejb3.test.composite2.Composite;
import org.jboss.ejb3.test.composite2.EntityTest;
import org.jboss.test.JBossTestCase;

/**
 * Sample client for the jboss container.
 *
 * @author <a href="mailto:bill@burkecentral.com">Bill Burke</a>
 * @version $Id: CompositeUnitTestCase.java,v 1.1.2.4 2005/09/14 22:19:03 bill Exp $
 */

public class CompositeUnitTestCase
extends JBossTestCase
{
   org.apache.log4j.Category log = getLog();

   static boolean deployed = false;
   static int test = 0;

   public CompositeUnitTestCase(String name)
   {

      super(name);

   }

   public void testCompositePKasRelation() throws Exception
   {
      EntityTest test = (EntityTest) this.getInitialContext().lookup(EntityTest.class.getName());
      Composite comp = test.createComposite();
      comp = test.findComposite(comp.getPk());
      //assertEquals(comp.getPk().getId2(), comp.getContainer().getId());
   }

   public static Test suite() throws Exception
   {
      return getDeploySetup(CompositeUnitTestCase.class, "composite2-test.ejb3");
   }

}
